Class | ActiveMerchant::Billing::ProtxGateway
In: | lib/active_merchant/billing/gateways/protx.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase test? void

### Constants

TEST_URL | = | 'https://ukvpstest.protx.com/vspgateway/service'
LIVE_URL | = | 'https://ukvps.protx.com/vspgateway/service'
SIMULATOR_URL | = | 'https://ukvpstest.protx.com/VSPSimulator'
APPROVED | = | 'OK'
TRANSACTIONS | = | { :purchase => 'PAYMENT', :credit => 'REFUND', :authorization => 'DEFERRED', :capture => 'RELEASE', :void => 'VOID'
CREDIT_CARDS | = | { :visa => "VISA", :master => "MC", :delta => "DELTA", :solo => "SOLO", :switch => "MAESTRO", :maestro => "MAESTRO", :american_express => "AMEX", :electron => "UKE", :diners_club => "DC", :jcb => "JCB"
ELECTRON | = | /^(424519|42496[23]|450875|48440[6-8]|4844[1-5][1-5]|4917[3-5][0-9]|491880)\d{10}(\d{3})?$/
AVS_CVV_CODE | = | { "NOTPROVIDED" => nil, "NOTCHECKED" => 'X', "MATCHED" => 'Y', "NOTMATCHED" => 'N'

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, credit_card, options = {})
capture(money, identification, options = {})

You can only capture a transaction once, even if you didn‘t capture the full amount the first time.

credit(money, identification, options = {})

Crediting requires a new order_id to passed in, as well as a description

purchase(money, credit_card, options = {})
test?()
void(identification, options = {})

[Validate]